unit UBuildCS;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, StdCtrls, Buttons;

type
  TFBuildCS = class(TForm)
    Label1: TLabel;
    ComboBox1: TComboBox;
    Notebook1: TNotebook;
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    EAccessDB: TLabeledEdit;
    SpeedButton1: TSpeedButton;
    OpenDialog1: TOpenDialog;
    ESQLServer: TLabeledEdit;
    ESecNT: TRadioButton;
    ESecSQL: TRadioButton;
    EUserName: TLabeledEdit;
    EPassword: TLabeledEdit;
    ESQLDB: TLabeledEdit;
    procedure ComboBox1Change(Sender: TObject);
    procedure SpeedButton1Click(Sender: TObject);
    procedure FormActivate(Sender: TObject);
    procedure BitBtn1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    connstr:string;
  end;

var
  FBuildCS: TFBuildCS;

implementation

{$R *.dfm}

procedure TFBuildCS.ComboBox1Change(Sender: TObject);
begin
  notebook1.ActivePage:=ComboBox1.Text;
end;

procedure TFBuildCS.SpeedButton1Click(Sender: TObject);
begin
  if opendialog1.Execute then
    eaccessdb.Text:=opendialog1.FileName;
end;

procedure TFBuildCS.FormActivate(Sender: TObject);
begin
  ComboBox1.ItemIndex:=0;
  connstr:='';
end;

procedure TFBuildCS.BitBtn1Click(Sender: TObject);
begin
  if combobox1.Text='Access' then
  begin
    connstr:='Provider=Microsoft.Jet.OLEDB.4.0;Data Source='+eaccessdb.Text+';Persist Security Info=False';
  end
  else
  begin
    if esecnt.Checked then
      connstr:='Provider=SQLOLEDB.1;Integrated Security=SSPI;Persist Security Info=False;Initial Catalog='+esqldb.Text+';Data Source='+esqlserver.Text
    else
      connstr:='Provider=SQLOLEDB.1;Password='+epassword.Text+';Persist Security Info=True;User ID='+eusername.Text+';Initial Catalog='+esqldb.Text+';Data Source='+esqlserver.Text;
  end;
end;

end.
